Attribute VB_Name = "Module1"
'This program can install fonts under Win95 or NT only.
   
        '32-bit declares
        Private Type OSVERSIONINFO
                        dwOSVersionInfoSize As Long
                        dwMajorVersion As Long
                        dwMinorVersion As Long
                        dwBuildNumber As Long
                        dwPlatformId As Long
                        szCSDVersion As String * 128
                '  Maintenance string for PSS usage
        End Type
    
        Private Declare Function PostMessage Lib "user32" _
                Alias "PostMessageA" (ByVal hWnd As Long, ByVal _
                wMsg As Long, ByVal wParam As Long, ByVal _
                lParam As Long) As Long

        Private Declare Function AddFontResource Lib "gdi32" _
                Alias "AddFontResourceA" (ByVal lpFilename As _
                String) As Long

        Private Declare Function CreateScalableFontResource _
                Lib "gdi32" Alias "CreateScalableFontResourceA" _
                (ByVal fHidden As Long, ByVal lpszResourceFile _
                As String, ByVal lpszFontFile As String, ByVal _
                lpszCurrentPath As String) As Long

        Private Declare Function RemoveFontResource Lib _
                "gdi32" Alias "RemoveFontResourceA" (ByVal _
                lpFilename As String) As Long

        Private Declare Function GetWindowsDirectory Lib _
                "kernel32" Alias "GetWindowsDirectoryA" (ByVal _
                lpBuffer As String, ByVal nSize As Long) As Long

        Private Declare Function GetSystemDirectory Lib "kernel32" Alias "GetWindowsDirectoryA" (ByVal lpBuffer As String, ByVal nSize As Long) As Long
 
        Private Declare Function RegSetValueEx Lib _
                "advapi32.dll" Alias "RegSetValueExA" (ByVal _
                hKey As Long, ByVal lpValueName As String, _
                ByVal Reserved As Long, ByVal dwType As Long, _
                lpData As Any, ByVal cbData As Long) As Long

        Private Declare Function RegOpenKey Lib _
                "advapi32.dll" Alias "RegOpenKeyA" (ByVal hKey _
                As Long, ByVal lpSubKey As String, phkResult _
                As Long) As Long

        Private Declare Function RegCloseKey Lib _
                "advapi32.dll" (ByVal hKey As Long) As Long

        Private Declare Function RegDeleteValue Lib _
                "advapi32.dll" Alias "RegDeleteValueA" (ByVal _
                hKey As Long, ByVal lpValueName As String) As Long

        Private Declare Function GetVersionEx Lib "kernel32" _
        Alias "GetVersionExA" (lpVersionInformation As _
        OSVERSIONINFO) As Long

'  dwPlatformId defines:
'
        Private Const VER_PLATFORM_WIN32_NT = 2

        Private Const HWND_BROADCAST = &HFFFF&
        Private Const WM_FONTCHANGE = &H1D
        Private Const Max_Path = 260
        Private Const HKEY_LOCAL_MACHINE = &H80000002
        Private Const REG_SZ = 1        ' Unicode null
        'terminated string

        Private Const strFontName = "myname.ttf"
        
Private Sub Form_Load()
End Sub

Private Function NT() As Boolean
        Dim lResult As Long
        Dim vi As OSVERSIONINFO
    
        vi.dwOSVersionInfoSize = Len(vi)
        lResult = GetVersionEx(vi)
    
        If vi.dwPlatformId And VER_PLATFORM_WIN32_NT Then
                NT = True
        Else
                NT = False
        End If
End Function











