VERSION 4.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   4095
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6690
   Height          =   4500
   Left            =   1080
   LinkTopic       =   "Form1"
   ScaleHeight     =   4095
   ScaleWidth      =   6690
   Top             =   1170
   Width           =   6810
   Begin VB.CommandButton Command2 
      Caption         =   "Command2"
      Height          =   495
      Left            =   3480
      TabIndex        =   1
      Top             =   3360
      Width           =   1215
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   495
      Left            =   2040
      TabIndex        =   0
      Top             =   3360
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Private Sub Command1_Click()
 Dim lResult As Long
        Dim strFontPath As String
        Dim hKey As Long
        Dim Max_Path

        'This is the font name and path

        strFontPath = Space$(Max_Path)
    
        If NT Then
                'Windows NT - Call and get the path to the
                '\windows\system directory
                lResult = GetWindowsDirectory(strFontPath, _
                        Max_Path)
                If lResult <> 0 Then Mid$(strFontPath, _
                        lResult + 1, 1) = "\"
                strFontPath = RTrim$(strFontPath)
        Else
                'Win95 - Call and get the path to the
                '\windows\fonts directory
                lResult = GetWindowsDirectory(strFontPath, _
                        Max_Path)
                If lResult <> 0 Then Mid$(strFontPath, _
                        lResult + 1) = "\fonts\"
                strFontPath = RTrim$(strFontPath)
        End If
    
        
        'This Actually adds the font to the system's available
        'fonts for this windows session
        lResult = AddFontResource(strFontPath + strFontName)
        If lResult = 0 Then MsgBox "Error Occured " & _
                "Calling AddFontResource"
    
    
        'Write the registry value to permanently install the
        'font
        lResult = RegOpenKey(HKEY_LOCAL_MACHINE, _
                "software\microsoft\windows\currentversion\" & _
                "fonts", hKey)
        lResult = RegSetValueEx(hKey, "My Font " & _
                "(TrueType)", 0, REG_SZ, ByVal strFontName, _
                Len(strFontName))
        lResult = RegCloseKey(hKey)
    
        'This call broadcasts a message to let all top-level
        'windows know that a font change has occured so they
        'can reload their font list
        lResult = PostMessage(HWND_BROADCAST, WM_FONTCHANGE, _
                0, 0)

        MsgBox "Font Added!"
End Sub

Private Sub Command2_Click()
        Dim hKey As Long
        Dim strFontPath As String
        strFontPath = Space$(Max_Path)
    
        If NT() Then
                'Windows NT - Call and get the path to the
                '\windows\system directory
                lResult = GetWindowsDirectory(strFontPath, _
                        Max_Path)
                If lResult <> 0 Then Mid$(strFontPath, lResult + _
                        1, 1) = "\"
                strFontPath = RTrim$(strFontPath)
        Else
                'Win95 - Call and get the path to the
                '\windows\fonts directory
                lResult = GetWindowsDirectory(strFontPath, _
                        Max_Path)
                If lResult <> 0 Then Mid$(strFontPath, lResult + _
                        1) = "\fonts\"
                strFontPath = RTrim$(strFontPath)
        End If
    
        'This removes our font!
        lResult = RemoveFontResource(strFontPath + _
                strFontName)

        'Delete the registry value to permanently remove the
        'font
        lResult = RegOpenKey(HKEY_LOCAL_MACHINE, _
                "software\microsoft\windows\currentversion\" & _
                "fonts", hKey)
        lResult = RegDeleteValue(hKey, "My Font " & _
                "(TrueType)")
        lResult = RegCloseKey(hKey)
    
        'This call broadcasts a message to let all top-level
        'windows know that a font change has occured so they
        'can reload their font list
        lResult = PostMessage(HWND_BROADCAST, WM_FONTCHANGE, _
                0, 0)
    
        MsgBox "Font Removed!"


End Sub


Private Sub Form_Load()
    
    Command1.Caption = "Add Font"
    Command2.Caption = "Remove Font"

End Sub


